package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 *  历史数据对象 act_supplies_historydata
 *
 * @author dongjg
 * @date 2023-08-02
 */
public class ActSuppliesHistorydata extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 历史数据 */
    private Long id;

    /** 模板 */
    @Excel(name = "模板")
    private Long templateId;

    /** 模板 */
    @Excel(name = "模板Name")
    private String templateName;

    /** 模板 */
    @Excel(name = "规则Name")
    private String roleName;

    /** 导入 */
    @Excel(name = "导入")
    private String importUuid;

    /** 通用凭证单编码*/
    private String accountuuid;

    /** 规则 */
    @Excel(name = "规则")
    private Long roleId;

    /** 导出 */
    @Excel(name = "导出")
    private String exportUuid;

    /** 标题 */
    @Excel(name = "标题")
    private String historyName;

    /** 内容 */
    @Excel(name = "内容")
    private String historyContent;

    /** 清洗规则 */
    @Excel(name = "清洗规则")
    private String historyRole;

    private String convenRole;


    /** 导入导出标识 */
    @Excel(name = "导入导出标识")
    private Long identifyingCode;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    /** 通用or六矿 */
    private Long tylkStatus;

    /** 是否清洗 */
    private Long cleanStatus;

    /**时间*/
    private String date;

    /**所属矿区*/
    private String mining;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setTemplateId(Long templateId)
    {
        this.templateId = templateId;
    }

    public Long getTemplateId()
    {
        return templateId;
    }
    public void setTemplateName(String templateName)
    {
        this.templateName = templateName;
    }

    public String getTemplateName()
    {
        return templateName;
    }

    public void setRoleName(String roleName)
    {
        this.roleName = roleName;
    }

    public String getRoleName()
    {
        return roleName;
    }

    public void setImportUuid(String importUuid)
    {
        this.importUuid = importUuid;
    }

    public String getImportUuid()
    {
        return importUuid;
    }
    public void setRoleId(Long roleId)
    {
        this.roleId = roleId;
    }

    public Long getRoleId()
    {
        return roleId;
    }
    public void setExportUuid(String exportUuid)
    {
        this.exportUuid = exportUuid;
    }

    public String getExportUuid()
    {
        return exportUuid;
    }
    public void setHistoryName(String historyName)
    {
        this.historyName = historyName;
    }

    public String getHistoryName()
    {
        return historyName;
    }
    public void setHistoryContent(String historyContent)
    {
        this.historyContent = historyContent;
    }

    public String getHistoryContent()
    {
        return historyContent;
    }
    public void setIdentifyingCode(Long identifyingCode)
    {
        this.identifyingCode = identifyingCode;
    }

    public Long getIdentifyingCode()
    {
        return identifyingCode;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }

    public Long getTylkStatus() {
        return tylkStatus;
    }

    public void setTylkStatus(Long tylkStatus) {
        this.tylkStatus = tylkStatus;
    }

    public Long getCleanStatus() {
        return cleanStatus;
    }

    public void setCleanStatus(Long cleanStatus) {
        this.cleanStatus = cleanStatus;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getMining() {
        return mining;
    }

    public void setMining(String mining) {
        this.mining = mining;
    }

    public String getHistoryRole() {
        return historyRole;
    }

    public void setHistoryRole(String historyRole) {
        this.historyRole = historyRole;
    }

    public String getAccountuuid() {
        return accountuuid;
    }

    public void setAccountuuid(String accountuuid) {
        this.accountuuid = accountuuid;
    }

    public String getConvenRole() {
        return convenRole;
    }

    public void setConvenRole(String convenRole) {
        this.convenRole = convenRole;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("templateId", getTemplateId())
                .append("importUuid", getImportUuid())
                .append("roleId", getRoleId())
                .append("exportUuid", getExportUuid())
                .append("historyName", getHistoryName())
                .append("historyContent", getHistoryContent())
                .append("identifyingCode", getIdentifyingCode())
                .append("status", getStatus())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .toString();
    }
}